Bug 447716 - Network Manager Crash [NEEDINFO]
Network Manager Crash
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
9
i386 Linux
low Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-21 07:23 EDT by University of Plymouth
Modified: 2009-07-15 04:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-15 04:15:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dcbw: needinfo? (roaming)


Attachments (Terms of Use)
Network Manager Bug Report (284.43 KB, text/plain)
2008-05-21 07:23 EDT, University of Plymouth
no flags Details
Screenshot (32.41 KB, image/jpeg)
2008-05-21 11:07 EDT, University of Plymouth
no flags Details
Network Manager Bug Report 2 (294.71 KB, text/plain)
2008-05-22 04:25 EDT, University of Plymouth
no flags Details
Network Applet Bur Report (287.46 KB, text/plain)
2008-05-22 04:26 EDT, University of Plymouth
no flags Details

  None (edit)
Description University of Plymouth 2008-05-21 07:23:51 EDT
Description of problem:Creation of a 802.1x network and then the editing of said
network caused network manager to crash


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Right click on network icon, edit connections
2.create new wired connection, 802.1x security
3.attempt to connect or edit this connection causes crash
  
Actual results:
Network manager crashes, reboot required

Expected results:
Successful connection or editing aloud

Additional info:
Comment 1 University of Plymouth 2008-05-21 07:23:51 EDT
Created attachment 306231 [details]
Network Manager Bug Report
Comment 2 Dan Williams 2008-05-21 10:57:08 EDT
confirmed

what 802.1x authentication method were you using?  And what inner authentication
protocol (like MSCHAP, PAP, etc)?
Comment 3 University of Plymouth 2008-05-21 11:07:05 EDT
Created attachment 306261 [details]
Screenshot
Comment 4 University of Plymouth 2008-05-21 11:08:37 EDT
As shown in the screenshot attached we are trying to use PEAP as our
authenticatyion method, and using MSCHAPv2 as the inner protocol.
Comment 5 Dan Williams 2008-05-21 11:12:06 EDT
Thanks; fixed upstream in applet svn r728
Comment 6 University of Plymouth 2008-05-22 04:25:36 EDT
Created attachment 306348 [details]
Network Manager Bug Report 2
Comment 7 University of Plymouth 2008-05-22 04:26:08 EDT
Created attachment 306349 [details]
Network Applet Bur Report
Comment 8 University of Plymouth 2008-05-22 04:27:42 EDT
Have recieved Network Manager updates this morning, producing this new Applet
Bug Report attached when cable is plugged in and connection attempted to be
established
Comment 9 Bug Zapper 2009-06-09 21:03:33 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Dan Williams 2009-06-17 12:44:22 EDT
Is this still an issue with latest F9 updates?  I'm pretty sure this is long fixed.
Comment 11 Bug Zapper 2009-07-15 04:15:21 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.